org.omg.CORBA

## Class DefinitionKind

- java.lang.Object
- - org.omg.CORBA.DefinitionKind

All Implemented Interfaces:
  Serializable, IDLEntity

    public class DefinitionKind
    extends Object
    implements IDLEntity

The class that provides the constants used to identify the type of an Interface Repository object. This class contains two kinds of constants, those that are an `int` and those that are an instance of the class `DefinitionKind`. This class provides the method `from_int`, which given one of the `int` constants, creates the corresponding `DefinitionKind` instance. It also provides the method `value`, which returns the `int` constant that is the value for a `DefinitionKind` instance.

See Also:
  `IRObject`

### Field Summary

Fields
`static int` `_dk_AbstractInterface` The constant that indicates that an Interface Repository object does not have a definition kind.
`static int` `_dk_Alias` The constant that indicates that an Interface Repository object does not have a definition kind.
`static int` `_dk_all` The constant that indicates that an Interface Repository object does not have a definition kind.
`static int` `_dk_Array` The constant that indicates that an Interface Repository object does not have a definition kind.
`static int` `_dk_Attribute` The constant that indicates that an Interface Repository object does not have a definition kind.
`static int` `_dk_Constant` The constant that indicates that an Interface Repository object does not have a definition kind.
`static int` `_dk_Enum` The constant that indicates that an Interface Repository object does not have a definition kind.
`static int` `_dk_Exception` The constant that indicates that an Interface Repository object does not have a definition kind.
`static int` `_dk_Fixed` The constant that indicates that an Interface Repository object does not have a definition kind.
`static int` `_dk_Interface` The constant that indicates that an Interface Repository object does not have a definition kind.
`static int` `_dk_Module` The constant that indicates that an Interface Repository object does not have a definition kind.
`static int` `_dk_Native` The constant that indicates that an Interface Repository object does not have a definition kind.
`static int` `_dk_none` The constant that indicates that an Interface Repository object does not have a definition kind.
`static int` `_dk_Operation` The constant that indicates that an Interface Repository object does not have a definition kind.
`static int` `_dk_Primitive` The constant that indicates that an Interface Repository object does not have a definition kind.
`static int` `_dk_Repository` The constant that indicates that an Interface Repository object does not have a definition kind.
`static int` `_dk_Sequence` The constant that indicates that an Interface Repository object does not have a definition kind.
`static int` `_dk_String` The constant that indicates that an Interface Repository object does not have a definition kind.
`static int` `_dk_Struct` The constant that indicates that an Interface Repository object does not have a definition kind.
`static int` `_dk_Typedef` The constant that indicates that an Interface Repository object does not have a definition kind.
`static int` `_dk_Union` The constant that indicates that an Interface Repository object does not have a definition kind.
`static int` `_dk_Value` The constant that indicates that an Interface Repository object does not have a definition kind.
`static int` `_dk_ValueBox` The constant that indicates that an Interface Repository object does not have a definition kind.
`static int` `_dk_ValueMember` The constant that indicates that an Interface Repository object does not have a definition kind.
`static int` `_dk_Wstring` The constant that indicates that an Interface Repository object does not have a definition kind.
`static DefinitionKind` `dk_AbstractInterface` The static instance of `DefinitionKind` indicating that an Interface Repository object represents an abstract interface.
`static DefinitionKind` `dk_Alias` The static instance of `DefinitionKind` indicating that an Interface Repository object is an Alias.
`static DefinitionKind` `dk_all` The wildcard `DefinitionKind` constant, useful in all occasions where any `DefinitionKind` is appropriate.
`static DefinitionKind` `dk_Array` The static instance of `DefinitionKind` indicating that an Interface Repository object is an Array.
`static DefinitionKind` `dk_Attribute` The static instance of `DefinitionKind` indicating that an Interface Repository object is an Attribute.
`static DefinitionKind` `dk_Constant` The static instance of `DefinitionKind` indicating that an Interface Repository object is a constant.
`static DefinitionKind` `dk_Enum` The static instance of `DefinitionKind` indicating that an Interface Repository object is an Enum.
`static DefinitionKind` `dk_Exception` The static instance of `DefinitionKind` indicating that an Interface Repository object is an Exception.
`static DefinitionKind` `dk_Fixed` The static instance of `DefinitionKind` indicating that an Interface Repository object is a Fixed value.
`static DefinitionKind` `dk_Interface` The static instance of `DefinitionKind` indicating that an Interface Repository object is an Interface.
`static DefinitionKind` `dk_Module` The static instance of `DefinitionKind` indicating that an Interface Repository object is a Module.
`static DefinitionKind` `dk_Native` The static instance of `DefinitionKind` indicating that an Interface Repository object is a Native value.
`static DefinitionKind` `dk_none` The static instance of `DefinitionKind` indicating that an Interface Repository object has no definition kind.
`static DefinitionKind` `dk_Operation` The static instance of `DefinitionKind` indicating that an Interface Repository object is an Operation.
`static DefinitionKind` `dk_Primitive` The static instance of `DefinitionKind` indicating that an Interface Repository object is a Primitive.
`static DefinitionKind` `dk_Repository` The static instance of `DefinitionKind` indicating that an Interface Repository object is a Repository.
`static DefinitionKind` `dk_Sequence` The static instance of `DefinitionKind` indicating that an Interface Repository object is a Sequence.
`static DefinitionKind` `dk_String` The static instance of `DefinitionKind` indicating that an Interface Repository object is a String.
`static DefinitionKind` `dk_Struct` The static instance of `DefinitionKind` indicating that an Interface Repository object is a Struct.
`static DefinitionKind` `dk_Typedef` The static instance of `DefinitionKind` indicating that an Interface Repository object is a Typedef.
`static DefinitionKind` `dk_Union` The static instance of `DefinitionKind` indicating that an Interface Repository object is a Union.
`static DefinitionKind` `dk_Value` The static instance of `DefinitionKind` indicating that an Interface Repository object is a Value.
`static DefinitionKind` `dk_ValueBox` The static instance of `DefinitionKind` indicating that an Interface Repository object is a ValueBox.
`static DefinitionKind` `dk_ValueMember` The static instance of `DefinitionKind` indicating that an Interface Repository object is a ValueMember.
`static DefinitionKind` `dk_Wstring` The static instance of `DefinitionKind` indicating that an Interface Repository object is a Wstring.

### Constructor Summary

Constructors
`protected` `DefinitionKind(int _value)` Constructs a `DefinitionKind` object with its `_value` field initialized with the given value.

### Method Summary

Methods
`static DefinitionKind` `from_int(int i)` Creates a `DefinitionKind` instance corresponding to the given code .
`int` `value()` Returns the `int` constant identifying the type of an IR object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _dk_none

    public static final int _dk_none

The constant that indicates that an Interface Repository object does not have a definition kind.

See Also:
  Constant Field Values

#### _dk_all

    public static final int _dk_all

The constant that indicates that an Interface Repository object does not have a definition kind.

See Also:
  Constant Field Values

#### _dk_Attribute

    public static final int _dk_Attribute

The constant that indicates that an Interface Repository object does not have a definition kind.

See Also:
  Constant Field Values

#### _dk_Constant

    public static final int _dk_Constant

The constant that indicates that an Interface Repository object does not have a definition kind.

See Also:
  Constant Field Values

#### _dk_Exception

    public static final int _dk_Exception

The constant that indicates that an Interface Repository object does not have a definition kind.

See Also:
  Constant Field Values

#### _dk_Interface

    public static final int _dk_Interface

The constant that indicates that an Interface Repository object does not have a definition kind.

See Also:
  Constant Field Values

#### _dk_Module

    public static final int _dk_Module

The constant that indicates that an Interface Repository object does not have a definition kind.

See Also:
  Constant Field Values

#### _dk_Operation

    public static final int _dk_Operation

The constant that indicates that an Interface Repository object does not have a definition kind.

See Also:
  Constant Field Values

#### _dk_Typedef

    public static final int _dk_Typedef

The constant that indicates that an Interface Repository object does not have a definition kind.

See Also:
  Constant Field Values

#### _dk_Alias

    public static final int _dk_Alias

The constant that indicates that an Interface Repository object does not have a definition kind.

See Also:
  Constant Field Values

#### _dk_Struct

    public static final int _dk_Struct

The constant that indicates that an Interface Repository object does not have a definition kind.

See Also:
  Constant Field Values

#### _dk_Union

    public static final int _dk_Union

The constant that indicates that an Interface Repository object does not have a definition kind.

See Also:
  Constant Field Values

#### _dk_Enum

    public static final int _dk_Enum

The constant that indicates that an Interface Repository object does not have a definition kind.

See Also:
  Constant Field Values

#### _dk_Primitive

    public static final int _dk_Primitive

The constant that indicates that an Interface Repository object does not have a definition kind.

See Also:
  Constant Field Values

#### _dk_String

    public static final int _dk_String

The constant that indicates that an Interface Repository object does not have a definition kind.

See Also:
  Constant Field Values

#### _dk_Sequence

    public static final int _dk_Sequence

The constant that indicates that an Interface Repository object does not have a definition kind.

See Also:
  Constant Field Values

#### _dk_Array

    public static final int _dk_Array

The constant that indicates that an Interface Repository object does not have a definition kind.

See Also:
  Constant Field Values

#### _dk_Repository

    public static final int _dk_Repository

The constant that indicates that an Interface Repository object does not have a definition kind.

See Also:
  Constant Field Values

#### _dk_Wstring

    public static final int _dk_Wstring

The constant that indicates that an Interface Repository object does not have a definition kind.

See Also:
  Constant Field Values

#### _dk_Fixed

    public static final int _dk_Fixed

The constant that indicates that an Interface Repository object does not have a definition kind.

See Also:
  Constant Field Values

#### _dk_Value

    public static final int _dk_Value

The constant that indicates that an Interface Repository object does not have a definition kind.

See Also:
  Constant Field Values

#### _dk_ValueBox

    public static final int _dk_ValueBox

The constant that indicates that an Interface Repository object does not have a definition kind.

See Also:
  Constant Field Values

#### _dk_ValueMember

    public static final int _dk_ValueMember

The constant that indicates that an Interface Repository object does not have a definition kind.

See Also:
  Constant Field Values

#### _dk_Native

    public static final int _dk_Native

The constant that indicates that an Interface Repository object does not have a definition kind.

See Also:
  Constant Field Values

#### _dk_AbstractInterface

    public static final int _dk_AbstractInterface

The constant that indicates that an Interface Repository object does not have a definition kind.

See Also:
  Constant Field Values

#### dk_none

    public static final DefinitionKind dk_none

The static instance of `DefinitionKind` indicating that an Interface Repository object has no definition kind.

#### dk_all

    public static final DefinitionKind dk_all

The wildcard `DefinitionKind` constant, useful in all occasions where any `DefinitionKind` is appropriate. The Container's `contents` method makes use of this constant to return all contained definitions of any kind.

#### dk_Attribute

    public static final DefinitionKind dk_Attribute

The static instance of `DefinitionKind` indicating that an Interface Repository object is an Attribute.

#### dk_Constant

    public static final DefinitionKind dk_Constant

The static instance of `DefinitionKind` indicating that an Interface Repository object is a constant.

#### dk_Exception

    public static final DefinitionKind dk_Exception

The static instance of `DefinitionKind` indicating that an Interface Repository object is an Exception.

#### dk_Interface

    public static final DefinitionKind dk_Interface

The static instance of `DefinitionKind` indicating that an Interface Repository object is an Interface.

#### dk_Module

    public static final DefinitionKind dk_Module

The static instance of `DefinitionKind` indicating that an Interface Repository object is a Module.

#### dk_Operation

    public static final DefinitionKind dk_Operation

The static instance of `DefinitionKind` indicating that an Interface Repository object is an Operation.

#### dk_Typedef

    public static final DefinitionKind dk_Typedef

The static instance of `DefinitionKind` indicating that an Interface Repository object is a Typedef.

#### dk_Alias

    public static final DefinitionKind dk_Alias

The static instance of `DefinitionKind` indicating that an Interface Repository object is an Alias.

#### dk_Struct

    public static final DefinitionKind dk_Struct

The static instance of `DefinitionKind` indicating that an Interface Repository object is a Struct.

#### dk_Union

    public static final DefinitionKind dk_Union

The static instance of `DefinitionKind` indicating that an Interface Repository object is a Union.

#### dk_Enum

    public static final DefinitionKind dk_Enum

The static instance of `DefinitionKind` indicating that an Interface Repository object is an Enum.

#### dk_Primitive

    public static final DefinitionKind dk_Primitive

The static instance of `DefinitionKind` indicating that an Interface Repository object is a Primitive.

#### dk_String

    public static final DefinitionKind dk_String

The static instance of `DefinitionKind` indicating that an Interface Repository object is a String.

#### dk_Sequence

    public static final DefinitionKind dk_Sequence

The static instance of `DefinitionKind` indicating that an Interface Repository object is a Sequence.

#### dk_Array

    public static final DefinitionKind dk_Array

The static instance of `DefinitionKind` indicating that an Interface Repository object is an Array.

#### dk_Repository

    public static final DefinitionKind dk_Repository

The static instance of `DefinitionKind` indicating that an Interface Repository object is a Repository.

#### dk_Wstring

    public static final DefinitionKind dk_Wstring

The static instance of `DefinitionKind` indicating that an Interface Repository object is a Wstring.

#### dk_Fixed

    public static final DefinitionKind dk_Fixed

The static instance of `DefinitionKind` indicating that an Interface Repository object is a Fixed value.

#### dk_Value

    public static final DefinitionKind dk_Value

The static instance of `DefinitionKind` indicating that an Interface Repository object is a Value.

#### dk_ValueBox

    public static final DefinitionKind dk_ValueBox

The static instance of `DefinitionKind` indicating that an Interface Repository object is a ValueBox.

#### dk_ValueMember

    public static final DefinitionKind dk_ValueMember

The static instance of `DefinitionKind` indicating that an Interface Repository object is a ValueMember.

#### dk_Native

    public static final DefinitionKind dk_Native

The static instance of `DefinitionKind` indicating that an Interface Repository object is a Native value.

#### dk_AbstractInterface

    public static final DefinitionKind dk_AbstractInterface

The static instance of `DefinitionKind` indicating that an Interface Repository object represents an abstract interface.

### Constructor Detail

#### DefinitionKind

    protected DefinitionKind(int _value)

Constructs a `DefinitionKind` object with its `_value` field initialized with the given value.

Parameters:
  `_value` - one of the `int` constants defined in the class `DefinitionKind`

### Method Detail

#### value

    public int value()

Returns the `int` constant identifying the type of an IR object.

Returns:
  the `int` constant from the class `DefinitionKind` that is the value of this `DefinitionKind` instance

#### from_int

    public static DefinitionKind from_int(int i)

Creates a `DefinitionKind` instance corresponding to the given code .

Parameters:
  `i` - one of the `int` constants from the class `DefinitionKind`
Returns:
  the `DefinitionKind` instance corresponding to the given code
Throws:
  `BAD_PARAM` - if the given parameter is not one of the `int` constants from the class `DefinitionKind`

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.